import { type DesignTokensFor, LabelProviderBase } from '../base';
declare global {
    interface HTMLElementTagNameMap {
        'nimble-label-provider-core': LabelProviderCore;
    }
}
declare const supportedLabels: {
    readonly popupDismiss: import("@ni/fast-foundation").DesignToken<string>;
    readonly numericDecrement: import("@ni/fast-foundation").DesignToken<string>;
    readonly numericIncrement: import("@ni/fast-foundation").DesignToken<string>;
    readonly popupIconError: import("@ni/fast-foundation").DesignToken<string>;
    readonly popupIconWarning: import("@ni/fast-foundation").DesignToken<string>;
    readonly popupIconCompleted: import("@ni/fast-foundation").DesignToken<string>;
    readonly popupIconCurrent: import("@ni/fast-foundation").DesignToken<string>;
    readonly popupIconInformation: import("@ni/fast-foundation").DesignToken<string>;
    readonly filterSearch: import("@ni/fast-foundation").DesignToken<string>;
    readonly filterNoResults: import("@ni/fast-foundation").DesignToken<string>;
    readonly loading: import("@ni/fast-foundation").DesignToken<string>;
    readonly scrollBackward: import("@ni/fast-foundation").DesignToken<string>;
    readonly scrollForward: import("@ni/fast-foundation").DesignToken<string>;
    readonly itemRemove: import("@ni/fast-foundation").DesignToken<string>;
};
/**
 * Core label provider for Nimble
 */
export declare class LabelProviderCore extends LabelProviderBase<typeof supportedLabels> implements DesignTokensFor<typeof supportedLabels> {
    popupDismiss: string | undefined;
    numericDecrement: string | undefined;
    numericIncrement: string | undefined;
    popupIconError: string | undefined;
    popupIconWarning: string | undefined;
    popupIconCompleted: string | undefined;
    popupIconCurrent: string | undefined;
    popupIconInformation: string | undefined;
    filterSearch: string | undefined;
    filterNoResults: string | undefined;
    loading: string | undefined;
    scrollBackward: string | undefined;
    scrollForward: string | undefined;
    itemRemove: string | undefined;
    protected readonly supportedLabels: {
        readonly popupDismiss: import("@ni/fast-foundation").DesignToken<string>;
        readonly numericDecrement: import("@ni/fast-foundation").DesignToken<string>;
        readonly numericIncrement: import("@ni/fast-foundation").DesignToken<string>;
        readonly popupIconError: import("@ni/fast-foundation").DesignToken<string>;
        readonly popupIconWarning: import("@ni/fast-foundation").DesignToken<string>;
        readonly popupIconCompleted: import("@ni/fast-foundation").DesignToken<string>;
        readonly popupIconCurrent: import("@ni/fast-foundation").DesignToken<string>;
        readonly popupIconInformation: import("@ni/fast-foundation").DesignToken<string>;
        readonly filterSearch: import("@ni/fast-foundation").DesignToken<string>;
        readonly filterNoResults: import("@ni/fast-foundation").DesignToken<string>;
        readonly loading: import("@ni/fast-foundation").DesignToken<string>;
        readonly scrollBackward: import("@ni/fast-foundation").DesignToken<string>;
        readonly scrollForward: import("@ni/fast-foundation").DesignToken<string>;
        readonly itemRemove: import("@ni/fast-foundation").DesignToken<string>;
    };
}
export declare const labelProviderCoreTag = "nimble-label-provider-core";
export {};
